<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div th:attr="data-mandatory=${data.mandatory}? true" nash-th:attrappend="data-name=*{path.fullPath}"></div>
</div>